#:kivy 1.11.1
# TODO: remove this: draw a line around every widget
# ... i can use it to draw a rect around buttons : - )
# <Widget>:
#     canvas.after:
#         Color: 
#             rgba: 1.0, 0.0, 0.0, 1.0
#         Line:
#             rectangle: self.x+1,self.y+1,self.width-1,self.height-1
<TextButton>:
    canvas.after:
        Color: 
            rgba: 0.0, 0.0, 0.0, 1.0
        Line:
            rectangle: self.x,self.y,self.width,self.height
    color: (0.0, 0.0, 0.0, 1.0) 
    background_normal: ''
    background_color: (1.0, 1.0, 1.0, 1.0) 
    font_name: "DejaVuSans.ttf"
    size: (100, 100)
    size_hint: (None, None)

<CheckResetButton>:
    id: check_reset_button
    opacity:  0.0
    text: ''

<ColorButton>:
    canvas.after:
        Color: 
            rgba: 0.0, 0.0, 0.0, 1.0
        Line:
            rectangle: self.x,self.y,self.width,self.height
    color: (0.0, 0.0, 0.0, 1.0) 
    background_normal: ''
    background_color: (1.0, 1.0, 1.0, 1.0) 
    # size: (50, 50)
    # size_hint: (None, None)
    size_hint: (100, None)

<HintButtonDots>:
    background_normal: ''
    background_color: (1.0, 1.0, 1.0, 0.0)
    size: (100, 100)
    size_hint: (None, None)

    canvas.after:
        Color: 
            rgba: self.line_color[0]
        Line:
            ellipse: self.pos[0] + self.br_padding, self.pos[1] + self.tl_padding, self.diameter, self.diameter
            width: self.diameter / 10
        Color: 
            rgba: self.fill_color[0]
        Ellipse:
            pos: self.pos[0] + self.br_padding, self.pos[1] + self.tl_padding
            size: self.diameter, self.diameter

        Color: 
            rgba: self.line_color[1]
        Line:
            ellipse: self.pos[0] + self.tl_padding, self.pos[1] + self.tl_padding, self.diameter, self.diameter
            width: self.diameter / 10
        Color: 
            rgba: self.fill_color[1]
        Ellipse:
            pos: self.pos[0] + self.tl_padding, self.pos[1] + self.tl_padding
            size: self.diameter, self.diameter

        Color: 
            rgba: self.line_color[2]
        Line:
            ellipse: self.pos[0] + self.br_padding, self.pos[1] + self.br_padding, self.diameter, self.diameter
            width: self.diameter / 10
        Color: 
            rgba: self.fill_color[2]
        Ellipse:
            pos: self.pos[0] + self.br_padding, self.pos[1] + self.br_padding
            size: self.diameter, self.diameter

        Color: 
            rgba: self.line_color[3]
        Line:
            ellipse: self.pos[0] + self.tl_padding, self.pos[1] + self.br_padding, self.diameter, self.diameter
            width: self.diameter / 10
        Color: 
            rgba: self.fill_color[3]
        Ellipse:
            pos: self.pos[0] + self.tl_padding, self.pos[1] + self.br_padding
            size: self.diameter, self.diameter

<ColorButtonList>:
    orientation: 'horizontal'

<MainWindow>:
    orientation: 'vertical'
    canvas:
        Color:
            rgb: (0.93, 0.93, 0.93)
        Rectangle:
            pos: self.pos
            size: self.size

    ColorButtonList:
        id: colors_list
        size_hint_y: None
    BoxLayout:
        id: attempts_list
        orientation: 'vertical'
        # spacing: 20
        padding: [0, 20]
    ColorButtonList
        id: guess_list
        size_hint_y: None
    ColorButtonList
        opacity: 0.0
        disabled: True
        id: guess_colors_list
        size_hint_y: None
